<?php

/**
 * Graph plugin
 *
 *
 * Created: 2007-02-19
 * Last update: 2007-05-20
 *
 * @link http://deboutv.free.fr/mantis/
 * @author DEBOUT Vincent  <deboutv@free.fr>
 */

function plugins_graph_print_links( $p_id ) {
    print_bracket_link( 'plugins_page.php?plugin=graph&action=edit&id=' . $p_id, lang_get( 'plugins_graph_edit' ), false );
    echo '&nbsp;';
    print_bracket_link( 'plugins_page.php?plugin=graph&action=delete&id=' . $p_id, lang_get( 'plugins_graph_delete' ), false );
}

function plugins_graph_print_yesno( $p_id ) {
    print_bracket_link( 'plugins_page.php?plugin=graph&action=del&id=' . $p_id, lang_get( 'yes' ), false );
    echo '&nbsp;';
    print_bracket_link( 'plugins_page.php?plugin=graph', lang_get( 'no' ), false );
}

function plugins_graph_print_graph( $p_id, $p_width = 375 ) {
    echo '<img src="plugins/graph/graph.php?id=' . $p_id . '&width=' . $p_width . '" border="0" />';
}

function plugins_graph_print_graph_type( $p_selected ) {
    echo '<select name="type">';
    echo '<option value="0"';
    check_selected( 0, $p_selected );
    echo '>' . lang_get( 'plugins_graph_histogram' ) . '</option>';
    echo '<option value="1"';
    check_selected( 1, $p_selected );
    echo '>' . lang_get( 'plugins_graph_pie' ) . '</option>';
    echo '</select>';
}

function plugins_graph_print_xaxis( $p_selected ) {
    global $g_mantis_is_11x_release;
    
    $t_choices = array( 'reporter_id' => lang_get( 'reporter' ), 'handler_id' => lang_get( 'email_handler' ),
                       'category' => lang_get( 'category' ), 'project_id' => lang_get( 'email_project' ),
                       'version' => lang_get( 'version' ), 'status' => lang_get( 'status' ),
                       'severity' => lang_get( 'severity' ), 'priority' => lang_get( 'priority' ),
                       'reproducibility' => lang_get( 'reproducibility' ), 'resolution' => lang_get( 'resolution' ),
                       'projection' => lang_get( 'projection' ), 'eta' => lang_get( 'eta' ),
                       'os' => lang_get( 'os' ), 'fixed_in_version' => lang_get( 'fixed_in_version' ) );
    if ( $g_mantis_is_11x_release ) {
        $t_choices['target_version'] = lang_get( 'target_version' );
    }
    $t_custom_ids = custom_field_get_ids();
    foreach( $t_custom_ids as $t_id ) {
        if ( in_array( custom_field_type( $t_id ), array( CUSTOM_FIELD_TYPE_STRING, CUSTOM_FIELD_TYPE_DATE, CUSTOM_FIELD_TYPE_ENUM, CUSTOM_FIELD_TYPE_EMAIL, CUSTOM_FIELD_TYPE_LIST ) ) ) {
            $t_choices['custom_' . $t_id] = custom_field_get_field( $t_id, 'name' );
        }
    }
    asort( $t_choices );
    echo "\n";
    echo '          <select name="xaxis">' . "\n";
    foreach( $t_choices as $t_key => $t_value ) {
        echo '            <option value="' . $t_key . '"';
        check_selected( $t_key, $p_selected );
        echo '>' . $t_value . '</option>' . "\n";
    }
    echo '          </select>' . "\n        ";
}

function plugins_graph_print_yaxis( $p_selected ) {
    $t_choices = array( 'bug_count' => lang_get( 'plugins_graph_bug_count' ) );
    $t_custom_ids = custom_field_get_ids();
    foreach( $t_custom_ids as $t_id ) {
        if ( custom_field_type( $t_id ) == CUSTOM_FIELD_TYPE_NUMERIC || custom_field_type( $t_id ) == CUSTOM_FIELD_TYPE_FLOAT ) {
            $t_choices['custom_' . $t_id] = custom_field_get_field( $t_id, 'name' );
        }
    }
    asort( $t_choices );
    echo "\n";
    echo '          <select name="yaxis">' . "\n";
    foreach( $t_choices as $t_key => $t_value ) {
        echo '            <option value="' . $t_key . '"';
        check_selected( $t_key, $p_selected );
        echo '>' . $t_value . '</option>' . "\n";
    }
    echo '          </select>' . "\n        ";
}

?>
