<?php

/**
 * Graph plugin
 *
 *
 * Created: 2007-02-18
 * Last update: 2007-05-20
 *
 * @link http://deboutv.free.fr/mantis/
 * @author DEBOUT Vincent  <deboutv@free.fr>
 */

if ( !ereg( 'plugins_page.php', $_SERVER['PHP_SELF'] ) ) {
    header( 'Location: ../../plugins_page.php' );
    exit();
}

$t_user_id = auth_get_current_user_id();
$t_project_id = helper_get_current_project();

$t_action = gpc_get_string( 'action', 'none' );

if ( db_is_connected() ) {
    $t_query = "CREATE TABLE IF NOT EXISTS " . config_get( 'db_table_prefix' ) . "_plugins_graph_table ( id int(7) unsigned not null auto_increment, name varchar(100) not null, title varchar(250) default '', type int(1) unsigned, xaxis varchar(100) not null, yaxis varchar(100) not null, primary key( id ) )";
    db_query( $t_query );
}

if ( $t_action == 'update' ) {
    plugins_graph_update();
    $t_action = 'none';
} else if ($t_action == 'del' ) {
    plugins_graph_delete();
    $t_action = 'none';
    
}

if ( $t_action == 'display' ) {
    html_page_top1( lang_get( 'plugins_graph_display_page_title' ) );
} else {
    html_page_top1( lang_get( 'plugins_graph_page_title' ) );
}
html_page_top2();

echo "\n\n";
echo "<br />\n<div align=\"center\">\n";

if ( $t_action == 'add' || $t_action == 'edit' ) {
    include( 'edit_inc.php' );
} else if ( $t_action == 'delete' ) {
    include( 'delete_inc.php' );
} else if ( $t_action == 'display' ) {
    include( 'display_inc.php' );
} else {
    include( 'list_inc.php' );
}

echo "</div>\n";

html_page_bottom1( __FILE__ );

?>
